Package wx :: Package lib :: Package ogl :: Class ShapeCanvas

[frames | no frames]

## Type ShapeCanvas

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                ScrolledWindow --+
                                 |
                                ShapeCanvas

Method Summary
| `__init__(self, parent, id, pos, size, style, name)`
| `AddShape(self, object, addAfter)`
| `FindShape(self, x, y, info, notObject)`
| `GetDiagram(self)`
| `GetQuickEditMode(self)`
| `InsertShape(self, object)`
| `OnBeginDragLeft(self, x, y, keys)`
| `OnBeginDragRight(self, x, y, keys)`
| `OnDragLeft(self, draw, x, y, keys)`
| `OnDragRight(self, draw, x, y, keys)`
| `OnEndDragLeft(self, x, y, keys)`
| `OnEndDragRight(self, x, y, keys)`
| `OnLeftClick(self, x, y, keys)`
| `OnMouseEvent(self, evt)`
| `OnPaint(self, evt)`
| `OnRightClick(self, x, y, keys)`
| `Redraw(self, dc)`
| `RemoveShape(self, object)`
| `SetDiagram(self, diag)`
| `Snap(self, x, y)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:05 2007 | http://epydoc.sf.net